%global fontname stix
%global fontconf 61-%{fontname}

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

%global archivename STIXv%{version}

Name:    %{fontname}-fonts
Version: 1.0.0
Release: 1
Summary: Scientific and engineering fonts
Group:   User Interface/X
License: OFL
URL:     http://www.stixfonts.org/
# Download hidden behind a form
Source0: %{archivename}.zip
Source10: %{name}-fontconfig.conf
Source11: %{name}-pua-fontconfig.conf
Source12: %{name}-integrals-fontconfig.conf
Source13: %{name}-sizes-fontconfig.conf
Source14: %{name}-variants-fontconfig.conf
BuildArch: noarch

Requires: fontconfig

%description
The mission of the Scientific and Technical Information Exchange (STIX) font
creation project is the preparation of a comprehensive set of fonts that serve
the scientific and engineering community in the process from manuscript
creation through final publication, both in electronic and print formats.

This package includes base Unicode fonts containing most glyphs for standard
use.


%package -n %{fontname}-pua-fonts
Summary:  Scientific and engineering fonts, PUA glyphs
Group:    User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-pua-fonts
The mission of the Scientific and Technical Information Exchange (STIX) font \
creation project is the preparation of a comprehensive set of fonts that serve \
the scientific and engineering community in the process from manuscript \
creation through final publication, both in electronic and print formats.

This package includes fonts containing glyphs called out from the Unicode
Private Use Area (PUA) range. Glyphs in this range do not have an official
Unicode codepoint. They're generally accessible only through specialised
software. Text using them will break if they're ever accepted by the Unicode
Consortium and moved to an official codepoint.


%package -n %{fontname}-integrals-fonts
Summary:  Scientific and engineering fonts, additional integral glyphs
Group:    User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-integrals-fonts
The mission of the Scientific and Technical Information Exchange (STIX) font \
creation project is the preparation of a comprehensive set of fonts that serve \
the scientific and engineering community in the process from manuscript \
creation through final publication, both in electronic and print formats.

This package includes fonts containing additional integrals of various size
and slant.


%package -n %{fontname}-sizes-fonts
Summary:  Scientific and engineering fonts, additional glyph sizes
Group:    User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-sizes-fonts
The mission of the Scientific and Technical Information Exchange (STIX) font \
creation project is the preparation of a comprehensive set of fonts that serve \
the scientific and engineering community in the process from manuscript \
creation through final publication, both in electronic and print formats.

This package includes fonts containing glyphs in additional sizes (Mostly
"fence" and "piece" glyphs).


%package -n %{fontname}-variants-fonts
Summary:  Scientific and engineering fonts, additional glyph variants
Group:    User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-variants-fonts
The mission of the Scientific and Technical Information Exchange (STIX) font \
creation project is the preparation of a comprehensive set of fonts that serve \
the scientific and engineering community in the process from manuscript \
creation through final publication, both in electronic and print formats.

This package includes fonts containing alternative variants of some glyphs.


%package doc
Summary:  Scientific and engineering fonts, documentation
Group:    User Interface/X

%description doc
The mission of the Scientific and Technical Information Exchange (STIX) font \
creation project is the preparation of a comprehensive set of fonts that serve \
the scientific and engineering community in the process from manuscript \
creation through final publication, both in electronic and print formats.

This package includes the documentation released by the STIX project.


# all this hoopla is required because RPM V3 (which we are stuck with on AIX)
# does not understand ZIP archives as source files :-(
%prep
/usr/bin/rm -rf %{archivename}
unzip %{SOURCE0}
%setup -T -D -n %{archivename}
for txt in */*.TXT ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp Fonts/*.otf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE10} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}.conf
cp %{SOURCE11} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-pua.conf
cp %{SOURCE12} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-integrals.conf
cp %{SOURCE13} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-sizes.conf
cp %{SOURCE14} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-variants.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

for f in %{fontconf}.conf \
             %{fontconf}-pua.conf \
             %{fontconf}-integrals.conf \
             %{fontconf}-sizes.conf \
             %{fontconf}-variants.conf ; do
    ln -sf %{_fontconfig_templatedir}/${f} ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/${f}
done


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc License/*.pdf
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/STIXGeneral*otf


%files -n %{fontname}-pua-fonts
%defattr(-,root,system,-)
%{_fontconfig_confdir}/%{fontconf}-pua.conf
%{_fontconfig_templatedir}/%{fontconf}-pua.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/STIXNonUni*otf


%files -n %{fontname}-integrals-fonts
%defattr(-,root,system,-)
%{_fontconfig_confdir}/%{fontconf}-integrals.conf
%{_fontconfig_templatedir}/%{fontconf}-integrals.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/STIXInt*otf


%files -n %{fontname}-sizes-fonts
%defattr(-,root,system,-)
%{_fontconfig_confdir}/%{fontconf}-sizes.conf
%{_fontconfig_templatedir}/%{fontconf}-sizes.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/STIXSiz*otf


%files -n %{fontname}-variants-fonts
%defattr(-,root,system,-)
%{_fontconfig_confdir}/%{fontconf}-variants.conf
%{_fontconfig_templatedir}/%{fontconf}-variants.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/STIXVar*otf


%files doc
%defattr(-,root,system,-)
%doc *.pdf Blocks/ Glyphs/ HTML/ License/


%changelog
* Tue Feb 22 2011 Michael Perzl <michael@perzl.org> - 1.0.0-1
- first version for AIX V5.1 and higher
